TransformerDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.TransformerDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class TransformerDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser
                      org.mule.config.spring.parsers.specific.TransformerDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  XsltTransformerDefinitionParser

    public class TransformerDefinitionParser

extends ParentContextDefinitionParser

This allows a transformer to be defined globally, or embedded within an endpoint (as either a normal or response transformer).

Field Summary
`static String` | `RESPONSE_TRANSFORMER`
`static String` | `RESPONSE_TRANSFORMERS`
`static String` | `TRANSFORMER`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`TransformerDefinitionParser()` For custom transformers
`TransformerDefinitionParser(Class transformer)`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, and, getDelegate, getOtherwise, otherwise, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
`muleParse`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addDelegate, getBeanName, getDelegate, parseInternal, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### TRANSFORMER

    public static final String TRANSFORMER

See Also:
  Constant Field Values

### RESPONSE_TRANSFORMER

    public static final String RESPONSE_TRANSFORMER

See Also:
  Constant Field Values

### RESPONSE_TRANSFORMERS

    public static final String RESPONSE_TRANSFORMERS

See Also:
  Constant Field Values

Constructor Detail

### TransformerDefinitionParser

    public TransformerDefinitionParser(Class transformer)

### TransformerDefinitionParser

    public TransformerDefinitionParser()

  For custom transformers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.